## Alias Elements

Alias Elements — Font substitution elements

## Functions

FontManagerAliasElement * | font_manager_alias_element_new ()
FontManagerStringSet * | font_manager_alias_element_get ()

## Properties

FontManagerStringSet * | accept | Read / Write
FontManagerStringSet * | default | Read / Write
char * | family | Read / Write
FontManagerStringSet * | prefer | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_ALIAS_ELEMENT
| FontManagerAliasElement

## Object Hierarchy

        GObject
        ╰── FontManagerAliasElement

## Includes

    #include <font-manager-alias.h>

## Description

FontManagerAliasElement represents an <alias> element in a fontconfig configuration file.

Alias elements provide a shorthand notation for the set of common match operations needed to substitute one font family for another.

Fonts matching `family` are edited to prepend the list of <`prefer` >ed families before the matching `family` , append the <`accept` >able families after the matching `family` and append the <`default` > families to the end of the family list.

## Functions

### font_manager_alias_element_new ()

    FontManagerAliasElement *
    font_manager_alias_element_new (const gchar *family);

#### Parameters

family | family name. | [nullable]

#### Returns

A newly created FontManagerAliasElement. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_alias_element_get ()

    FontManagerStringSet *
    font_manager_alias_element_get (FontManagerAliasElement *self,
                                    const gchar *priority);

[skip]

#### Parameters

self | FontManagerAliasElement |
priority | "prefer", "accept" or "default" |

#### Returns

A FontManagerStringSet or `NULL` on error.

[transfer none][nullable]

## Types and Values

### FONT_MANAGER_TYPE_ALIAS_ELEMENT

    #define FONT_MANAGER_TYPE_ALIAS_ELEMENT (font_manager_alias_element_get_type())

### FontManagerAliasElement

    typedef struct _FontManagerAliasElement FontManagerAliasElement;

## Property Details

### The `“accept”` property

      “accept”                   FontManagerStringSet *

Set of font families which are acceptable substitutes for `family` .

Owner: FontManagerAliasElement

Flags: Read / Write

### The `“default”` property

      “default”                  FontManagerStringSet *

Set of font families to be used as a fallback.

Owner: FontManagerAliasElement

Flags: Read / Write

### The `“family”` property

      “family”                   char *

Family targeted for substitution.

Owner: FontManagerAliasElement

Flags: Read / Write

Default value: NULL

### The `“prefer”` property

      “prefer”                   FontManagerStringSet *

Set of font families which should be preferred over `family` .

Owner: FontManagerAliasElement

Flags: Read / Write